cloud-init (19.3-2) unstable; urgency=medium

  * Build-depends on python3-pep8 instead of just pep8 (Closes: #949940).

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Jan 2020 13:11:23 +0100

cloud-init (19.3-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Dec 2019 08:36:53 +0100

cloud-init (19.2-4) unstable; urgency=medium

  * Removed the last bit of Python2 build-depends (Closes: #942968).

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2019 12:19:08 +0200

cloud-init (19.2-3) unstable; urgency=medium

  * Remove the patch for sources.list, and activate the option to preserve
    the sources.list by default (ie: apt_preserve_sources_list: true).

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 21:44:00 +0200

cloud-init (19.2-2) unstable; urgency=medium

  * Comment out backports by default in apt/sources.list.
  * Standards-Version bump to 4.4.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 20:55:55 +0200

cloud-init (19.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop 0008-opennebula-also-exclude-epochseconds-from-changed-en.patch
    applied upstream.
  * Drop CVE-2019-0816_Filter_list_of_ssh_keys_pulled_from_fabric.patch also
    applied upstream.
  * Rebased patches:
    - 0009-Drop-all-unused-extended-version-handling.patch
    - 0012-Fix-message-when-a-local-is-missing.patch

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Aug 2019 08:47:15 +0200

cloud-init (18.3-6) unstable; urgency=high

  * CVE-2019-0816: Extraneous SSH Public Keys added to Authorized Keys file.
    Applied a refreshed patch from upstream: azure: Filter list of ssh keys
    pulled from fabric (Closes: #926043).

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Apr 2019 08:54:18 +0200

cloud-init (18.3-5) unstable; urgency=medium

  * Make tests running with current bash.

 -- Bastian Blank <waldi@debian.org>  Fri, 08 Feb 2019 14:47:07 +0100

cloud-init (18.3-4) unstable; urgency=medium

  * Remove debconf setup of data source.
  * Don't override apt pipelining.
  * Only handle preseed on initial installation.
  * Drop all config migration for versions older then Stretch.
  * Update vcs links to point to salsa.debian.org.
  * Drop obsolete build-dependency on dh-systemd.

 -- Bastian Blank <waldi@debian.org>  Fri, 08 Feb 2019 10:39:53 +0100

cloud-init (18.3-3) unstable; urgency=medium

  * Start cloud-init before chronyd (Closes: #910801).

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Oct 2018 10:48:01 +0200

cloud-init (18.3-2) unstable; urgency=medium

  * Upload to Unstable.
  * Rename the NetworkManager hook (Closes: #909557).

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Oct 2018 07:37:44 +0200

cloud-init (18.3-1) experimental; urgency=medium

  * New upstream release (Closes: #907672):
    - Do not timestamp sudoers files (Closes: #788103).
  * Drop patches applied upstream or now irrelevant:
    - 0001-Fix-the-path-to-blkid-in-test-suite.patch
    - 0004-debian-sources.list.patch
    - 0005-Update-syntax-of-rsyslog-snippet-is-deprecated.patch
    - 0008-sysvinit-fs-dependencies.patch
    - 0010-PATCH-Fix-Python-code-style-errors-Closes-865577.patch
    - 0011-Trust-PATH-for-udevadm-and-modprobe.patch
  * Refreshed / rebased patches:
    - 0002-disable-rhel-set-hostname-test.patch
    - 0003-Make-Azure-datasource-run-without-root.patch
    - 0006-Skip-test_apt_v3_mirror_search_dns.patch
    - 0007-Skip-Cloudstack-tests-that-expect-network.patch
    - 0009-Drop-all-unused-extended-version-handling.patch
    - 0012-Fix-message-when-a-local-is-missing.patch
  * Runtime depends on fdisk (Closes: #872114).
  * Added Suggests: btrfs-progs, e2fsprogs, xfsprogs (Closes: #887226).
  * Removed  Miguel Landaeta and Julien Danjou from uploaders, as they haven't
    been active.
  * Removed tools/hacking.py from debian/copyright (the file doesn't exist
    anymore).
  * Add python3-jsonschema as build-depends.
  * Build-Depends needs 0.9.5 for python3-httpretty.

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Sep 2018 13:18:40 +0200

cloud-init (0.7.9-5) unstable; urgency=medium

  * Test with all Python versions.
  * Moved a bunch of build-depends to build-depends-indep.
  * Ran wrap-and-sort -bast.
  * Add runtime depends: cloud-guest-utils and locales (Closes: #878819).
  * Add eatmydata and sudo as recommends.
  * Add 0012-Fix-message-when-a-local-is-missing.patch which is Debian specific
    as Ubuntu handles locales differently (Closes: #804918).
  * Update / add new debconf template translations:
    - fr.po (Closes: #819507).
    - nl.po (Closes: #834612).
    - de.po (Closes: #842490).
    - pt_BR.po (Closes: #846526).
    - it.po (Closes: #846929).

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Oct 2017 20:04:32 +0000

cloud-init (0.7.9-4) unstable; urgency=high

  * Add patch to avoid hardcoding /sbin for modprobe and udevadm.
    (Closes: #852564)

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Sep 2017 23:58:09 +0200

cloud-init (0.7.9-3) unstable; urgency=medium

  * Fixed case for "OpenStack" in debian/cloud-init.templates (Closes: #841315)
  * Removed contrib and non-free by default (Closes: #865611).
  * Remove upstart support.
  * Standards-Version is now 4.0.0.
  * Overrides lintian cloud-init: init.d-script-depends-on-all-virtual-facility

 -- Thomas Goirand <zigo@debian.org>  Sat, 22 Jul 2017 16:20:48 +0200

cloud-init (0.7.9-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch from Joonas Kylmälä to fix FTBFS. (Closes: #865577)

 -- Adrian Bunk <bunk@debian.org>  Thu, 20 Jul 2017 13:24:49 +0300

cloud-init (0.7.9-2) unstable; urgency=medium

  * Add net-tools as runtime depends (Closes: #853926).
  * Add depends: on lsb-base.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Feb 2017 13:23:41 +0000

cloud-init (0.7.9-1) unstable; urgency=medium

  * New upstream release.

 -- Bastian Blank <waldi@debian.org>  Thu, 19 Jan 2017 16:25:04 +0100

cloud-init (0.7.8-64-g166df60-1) unstable; urgency=medium

  * New upstream snapshot.
  * Adopt upstream changes to cloud.cfg.
  * Use deb.debian.org as primary mirror.

 -- Bastian Blank <waldi@debian.org>  Wed, 07 Dec 2016 13:27:36 +0100

cloud-init (0.7.8-49-g9e904bb-1) unstable; urgency=medium

  * New upstream snapshot.
  * Set maintainer to Debian Cloud Team.
  * Use debhelper compat level 10.

 -- Bastian Blank <waldi@debian.org>  Tue, 29 Nov 2016 21:05:36 +0100

cloud-init (0.7.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.7.8 (Closes: #838748, #780637)
  * Add README.Debian (Closes: #695327)
  * Bump Standards-Version to 3.9.8
    No change required.
  * Run debconf-updatepo during clean.
  * Skip failing test_apt_v3_mirror_search_dns.
    This test may fail if the local domain is set.
  * Skip Cloudstack tests that expect network.
  * Update patch metadata.
    1 patch forwarded upstream
  * Update Vcs-* URLs to use HTTPS.
  * Make example files ASCII-only.
    They may otherwise fail to parse.
  * Fix dependencies on {local,remote}_fs in init scripts.

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Sat, 24 Sep 2016 13:57:04 +0200

cloud-init (0.7.7~bzr1215-3) unstable; urgency=medium

  * Depend on gdisk, needed for GPT handling.

 -- Bastian Blank <bastian.blank@credativ.de>  Fri, 10 Jun 2016 16:56:41 +0200

cloud-init (0.7.7~bzr1215-2) unstable; urgency=medium

  * Build-depend on python3-pyflakes instead of pyflakes.

 -- Bastian Blank <bastian.blank@credativ.de>  Tue, 10 May 2016 17:18:53 +0200

cloud-init (0.7.7~bzr1215-1) unstable; urgency=medium

  * New upstream snapshot.

  [ Charles Plessy ]
  * Translations added or updated.
    - Danish: Joe Dalton <joedalton2@yahoo.dk>
      Closes: #781336
    - Dutch: Frans Spiesschaert <Frans.Spiesschaert@yucom.be>
      Closes: #765869
    - Japanese: Takuma Yamada <tyamada@takumayamada.com>
      Closes: #816071
    - Portuguese: Américo Monteiro <a_monteiro@gmx.com>
      Closes: #816141
    - Russian: Yuri Kozlov <yuray@komyakino.ru>
      Closes: #761617
    - Spanish: Jathan <jathanblackred@openmailbox.org>
      Closes: #783564
    - Swedish: Martin Bagge <brother@bsnet.se>
               Anders Jonsson <anders.jonsson@norsjovallen.se>
      Closes: #781681
  * Update syntax of rsyslog snippet ("~" is deprecated).
    Thanks to Tobias Wolter <towo@ydal.de> (Closes: #791934)

  [ Bastian Blank ]
  * Fix tests.

 -- Bastian Blank <bastian.blank@credativ.de>  Fri, 06 May 2016 12:10:17 +0200

cloud-init (0.7.7~bzr1156-2) unstable; urgency=medium

  * Import data source list from Ubuntu.
  * Clarify Azure data source.
  * Rename failsafe to fallback.
  * Unify data source descriptions.
  * Drop diversion of /etc/init/ureadahead.conf.
  * Fix backports entry in source.list template.

 -- Bastian Blank <bastian.blank@credativ.de>  Wed, 24 Feb 2016 17:38:38 +0100

cloud-init (0.7.7~bzr1156-1) unstable; urgency=medium

  [ Charles Plessy ]
  * New usptream release and bzr snapshot.  (Closes: #804782)
    ed25519 ssh keys are generated (Closes: #788196).
  * Import some of the changes from ../config/cloud.cfg.
  * Add security mirror.
    Thanks to Brandon Bradley <bradleytastic@gmail.com> (Closes: #783847)
  * Use upstream systemd units (Closes: #784083).
  * debian/00_debian.cfg: ensure that 'nofail' is used instead of
    'nobootwait' (Closes: #702382, #789884).

  [ Bastian Blank ]
  * Make Azure datasource run without root
  * Use upstream init scripts.
  * Use pybuild as build system.
  * Don't hardcode python dependencies.
  * Fix build dependencies.
  * Depend on lsb-release.
  * Update default cloud.cfg.
  * Add myself as uploader.

 -- Bastian Blank <waldi@debian.org>  Fri, 29 Jan 2016 14:28:01 +0100

cloud-init (0.7.6~bzr976-5) unstable; urgency=medium

  * Fixed .service dependency on ssh and not sshd.
  * Switched from Type=oneshot to Type=simple so that other services don't
    keep on waiting for it forever.
  * cloud-config.service doesn't depend on itself anymore, and now has:
    Requires=cloud-init.service, After=cloud-init.service

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Sep 2015 13:25:50 +0200

cloud-init (0.7.6~bzr976-4) unstable; urgency=medium

  * Added cloud-init.cloud-config.target missing file.
  * Removed explicit local-fs.target as services have use
    DefaultDependencies=yes (which is the default). Thanks to Michael Biebl
    <biebl@debian.org> for pointing it out.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Jun 2015 16:02:34 +0200

cloud-init (0.7.6~bzr976-3) unstable; urgency=medium

  * Added upstream debian/*.service files (Closes: #784083).

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Jun 2015 11:33:54 +0200

cloud-init (0.7.6~bzr976-2) unstable; urgency=medium

  * Build-depend on iproute2 instead of iproute (Closes: #753695). 
  * Translation updates:
    - Portuguese: Américo Monteiro <a_monteiro@gmx.com>, closes: #748520.
    - German: Chris Leick <c.leick@vollbio.de>,          closes: #750852.
    - French: Julien Patriarca <leatherface@debian.org>, closes: #749773.

 -- Charles Plessy <plessy@debian.org>  Sat, 05 Jul 2014 20:27:10 +0900

cloud-init (0.7.6~bzr976-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #750314).

 -- Charles Plessy <plessy@debian.org>  Wed, 04 Jun 2014 07:21:45 +0900

cloud-init (0.7.5-1) unstable; urgency=medium

  * New upstream release
    - adds OpenNebula support, closes: #736148.
    - adds GCE as new source, closes: #725384.

  [ Charles Plessy ]
  * Depend and Build-Depend on python-jsonpatch and python-serial.
  * Build-Depend on iproute for the regression tests.
  * Conforms to Policy 3.9.5.
  * Correct installation path for rsyslog config snippet.
    Thanks, Juerg Haefliger <juergh@gmail.com>.  Closes: #707125
  * Added debian/gbp.conf, marking the use of git-buildpackage.
  * Build-depend on python-httpretty for the regression tests.
  * Source packages migrated to Git; updated VCS URLs.

 -- Charles Plessy <plessy@debian.org>  Sat, 17 May 2014 14:21:24 +0900

cloud-init (0.7.2-3) unstable; urgency=low

  [ Charles Plessy ]
  * Added python-requests to build dependencies (Closes: #711797). 
  * Conforms with Policy 3.9.4.
  * Depend on ${python:Depends}.
  * Description and Debconf messages reviewed by the Smith project.
    Closes: #710444, thanks to Justin B Rye and Christian Perrier.
  * German translation (Closes: #714738, thanks to Chris Leick).
  * Swedish translation (Closes: #714646, thanks to Martin Bagge).
  * French translation (Closes: #714608, thanks to Julien Patriarca). 
  * Russian translation (Closes: #714093, #715168, thanks to Yuri Kozlov).
  * Danish translation (Closes: #714785, thanks to Joe Dalton).
  * Czech tranlsation (Closes: #714356, thanks to Michal Šimůnek).
  * Portugese tranlsation (Closes: #715241, thanks to Américo Monteiro).
  * Japanese translation (Closes: #715500, thanks to victory).
  * Italian translation (Closes: #715390, thanks to Beatrice Torracca).
  * Polish translation (Closes: #715799, thanks to Michał Kułach).

  [ Thomas Goirand ]
  * Added missing init scripts cloud-init-local, cloud-init-final and
    cloud-config, to run cloud-init as below (Closes: #709173):
    - modules --mode config (cloud-config)
    - modules --mode final (cloud-init-final)
    - init --local (cloud-init-local)
  * Reads the currently set value in /etc/cloud/cloud.cfg.d/90_dpkg.cfg to
    db_set the value of cloud-init/datasources (Closes: #709773).
  * Check if upstart is init in all init scripts (Closes: #712985). Thanks to
    Dmitrijs Ledkovs for reporting and his patch in the BTS.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Jul 2013 23:10:34 +0800

cloud-init (0.7.2-1) unstable; urgency=low

  * New upstream release.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Charles Plessy ]
  * Build-depends on python-setuptools and python-yaml. Closes: #707443
  * Normalised debian/control with config-model-edit (this drops some
    constraints on packages versions that are satisfied even in oldstable).

  [ Thomas Goirand ]
  * Made the "make test" respect DEB_BUILD_OPTIONS=nocheck.
  * Added X-Start-Before: sshd in debian/cloud-init.init, since cloud-init must
    fix the sshd host keys before it starts.
  * Added a patch of the test suite to use /sbin/blkid and not just blkid, as
    otherwise, the unit test fails.
  * Adds internationalization of the debconf messages (eg: po folder, etc.).
  * Adds a patch to disable a RHEL test (set hostname) which fails (of course,
    we don't really care about such test in Debian).
  * Added missing dependency: python-requests.
  * Added myself as uploader.

 -- Thomas Goirand <zigo@debian.org>  Sun, 26 May 2013 16:29:45 +0000

cloud-init (0.7.1-3) unstable; urgency=low

  * Depends on python-prettytable

 -- Julien Danjou <acid@debian.org>  Tue, 29 Jan 2013 16:11:48 +0100

cloud-init (0.7.1-2) unstable; urgency=low

  * Depends on python 2.7 or python-argparse
  * Depends on the right version of python-boto
  * Fix description issue with line leading with dot

 -- Julien Danjou <acid@debian.org>  Tue, 29 Jan 2013 10:50:43 +0100

cloud-init (0.7.1-1) unstable; urgency=low

  [ Miguel Landaeta ]
  * Remove unowned files in /etc/apt/apt.conf.d/ after purge. (Closes: #674237).
  * Fix versioned dependency on ifupdown, otherwise is uninstallable.
  * Fix Vcs-Svn URL.
  * Add myself as Uploader.

  [ Julien Danjou ]
  * New upstream release.
  * Add myself as Uploader.
  * Add missing python-boto dependency.
  * Add fix-cfg-builtin.patch to set syslog_fix_perms to root:adm by
    default since we don't have any syslog user in Debian.
  * Depends on Python >= 2.7, at least because subprocess needs
    check_output method.
  * Drop CDBS
  * Add init scripts
  * Update description (Closes: #695326)

 -- Julien Danjou <acid@debian.org>  Mon, 28 Jan 2013 10:49:10 +0100

cloud-init (0.6.3-2) experimental; urgency=low

  * First version in Debian (Closes: #672375).
  * Do not depend on cloud-utils, which is only in Ubuntu. 

 -- Charles Plessy <plessy@debian.org>  Wed, 23 May 2012 09:26:29 +0900

cloud-init (0.6.3-1) experimental; urgency=low

  * Debian package based on Ubuntu's package.
  * Machine-readable debian/copyright file; discarded extra information.
  * Documented homepage and VCS URLs in debian/control.
  * Remove ec2-init package and support for upgrade.
  * Added a watch file to track the download link on the homepage.
  * http://wiki.debian.org/Python/TransitionToDHPython2
    - Removed debian/pycompat.
    - Build-depend on CDBS >= 0.4.90~.
    - Removed XS-Python-Version and XB-Python-Version in debian/control.
  * Use Debhelper 9 (debian/control, debian/compat). 
  * Removed debian/cloud-init.prerm as /etc/cron.d/cloudinit-updates
    seems to have been removed from the package earlier.
  * Removed unneeded debian/dirs debian/cloud-init.install.
  * Removed grub-legacy-ec2, to be packaged elsewhere, see #672104.
  * Priority optional as there is no conflict anymore (debian/control).
  * Extended cloud-init's description (debian/control).

 -- Charles Plessy <plessy@debian.org>  Sat, 19 May 2012 13:37:20 +0900

cloud-init (0.6.3-0ubuntu1) precise; urgency=low

  * New upstream release.
    * improve chef examples for working configurations on 11.10 and 12.04
      [Lorin Hochstein] (LP: #960564)
    * fix bug in landscape module if /etc/landscape did not exist
      (LP: #978329)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 11 Apr 2012 00:05:00 -0400

cloud-init (0.6.3~bzr554-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
    * Fix bug in Chef support that required 'validation_cert' (LP: #960547)
    * Provide user-friendly message when a user ssh's in with an invalid
      locale (LP: #960547)
    * Support reading a url reference to cloud-config from the kernel
      command line.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 05 Apr 2012 01:24:42 -0400

cloud-init (0.6.3~bzr551-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
    * support running resize2fs in the background (default=off) (LP: #961226)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 22 Mar 2012 14:33:59 -0400

cloud-init (0.6.3~bzr548-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
    * If public-keys is a string, split it into multiple keys on newline
      This specifically helps the MAAS data source, and should not negatively
      affect others.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 19 Mar 2012 13:50:50 -0400

cloud-init (0.6.3~bzr547-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
    * rename DataSourceMaaS to DataSourceMAAS.
    * support public-keys in DataSourceMAAS
    * Warn in user-data processing on non-multipart, non-handled data 
    * CloudStack data source added (not enabled by default)
  * fix bug in cloud-init.postinst where the name used was wrong
    causing config-apt-pipelining to run more than intended

 -- Scott Moser <smoser@ubuntu.com>  Fri, 16 Mar 2012 14:12:38 -0400

cloud-init (0.6.3~bzr539-0ubuntu3) precise; urgency=low

  * make maas config file only readable by root (LP: #954721)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 14 Mar 2012 01:19:32 -0400

cloud-init (0.6.3~bzr539-0ubuntu2) precise; urgency=low

  [Cosmin Luta]
  * add dependency on python-oauth (LP: #953915)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 13 Mar 2012 11:36:11 -0400

cloud-init (0.6.3~bzr539-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
    * add ability to configure Acquire::http::Pipeline-Depth via
      cloud-config setting 'apt_pipelining' (LP: #942061)
    * if cloud-config settings removed default certificats
      (remove-defaults), then seed package ca-certificates to not
      install new ones on upgrade.
    * run-parts now uses internal implementation rather than
      separate command.
    * add MaaS datasource (LP: #942061)
  * debian/cloud-init.postinst: address population of apt_pipeline 
    setting on installation.
  * debian/cloud-init.postinst: support configuring cloud-init
    maas datasource via preseed values cloud-init/maas-metadata-url and
    cloud-init/maas-credentials. (LP: #942061)
  * debian/cloud-init.postinst: support for (LP: #924375)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 09 Mar 2012 16:37:01 -0500

cloud-init (0.6.3~bzr530-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
    - fix DataSourceNoCloud seeded from local or cmdline (LP: #942695)
    - change 'islxc' to 'iscontainer' and use 'running-in-container' utility
      from upstart rather than 'lxc-is-container' (LP: #941955)
    - Do not fail on bad part handlers, instead catch error and log

 -- Scott Moser <smoser@ubuntu.com>  Tue, 28 Feb 2012 19:15:19 -0500

cloud-init (0.6.3~bzr527-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
    - exit 0 in cloud-init if no metadata is found (nothing to do)
    - documentation improvements
    - support network config in DataSourceNoCloud

 -- Scott Moser <smoser@ubuntu.com>  Fri, 17 Feb 2012 17:11:50 -0500

cloud-init (0.6.3~bzr519-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
    - [Mike Milner] add support for managing CA Certificates (LP: #915232)
    - in ci-info lines, use '.' to for empty field for easier machine reading
    - support empty lines in "#include" files (LP: #923043)
    - [Jef Baeur] support configuration of salt minions Bauer) (LP: #927795)
    - DataSourceOVF: only search for OVF data on ISO9660 filesystems (LP: #898373)
    - DataSourceConfigDrive: support getting data from openstack config drive
      (LP: #857378)
    - [Juerg Haefliger] formating and pylint cleanups
  * increase timeouts for initial config check for metadata service
    to address slow metadata service in openstack
  * add awareness of ConfigDrive data source

 -- Scott Moser <smoser@ubuntu.com>  Thu, 16 Feb 2012 17:27:05 -0500

cloud-init (0.6.3~bzr502-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
    - [Mike Milner] add test case framework (LP: #890851)
    - [Juerg Haefliger] fix pylint warnings (LP: #914739)
    - fix regression where ec2 mirrors were not selected (LP: #915282)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 12 Jan 2012 17:56:52 +0100

cloud-init (0.6.3~bzr497-0ubuntu1) precise; urgency=low

  * New upstream snapshot.
    - cloud-config support for configuring apt-proxy
    - selection of local mirror based on presense of 'ubuntu-mirror' dns
      entry in local domain. (LP: #897688)
    - DataSourceEc2: more resilliant to slow metadata service (LP: #894279)
    - close stdin in all programs launched by cloud-init (LP: #903993)
    - revert management of /etc/hosts to 0.6.1 style (LP: #890501, LP: #871966)
    - write full ssh keys to console for easy machine consumption (LP: #893400)
    - put INSTANCE_ID environment variable in bootcmd scripts
    - add 'cloud-init-per' script for easily running things with a given freq
      (this replaced cloud-init-run-module)
    - support configuration of landscape-client via cloud-config (LP: #857366)
    - part-handlers now get base64 decoded content rather than 2xbase64 encoded
      in the payload parameter. (LP: #874342)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 22 Dec 2011 04:07:38 -0500

cloud-init (0.6.2-0ubuntu2) precise; urgency=low

  * Build using dh_python2. LP: #904248.
  * debian/rules: Explicitly set DEB_PYTHON2_MODULE_PACKAGES = cloud-init.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2011 21:08:23 +0000

cloud-init (0.6.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Scott Moser <smoser@ubuntu.com>  Thu, 27 Oct 2011 23:05:15 -0400

cloud-init (0.6.1-0ubuntu20) oneiric; urgency=low

  * fix broken path if local-hostname was not in metadata (LP: #857380)
  * redirect output of 'start networking' in 'cloud-init-nonet' to /dev/null
  * include GPLv3 in source tree

 -- Scott Moser <smoser@ubuntu.com>  Fri, 23 Sep 2011 09:24:27 -0400

cloud-init (0.6.1-0ubuntu19) oneiric; urgency=low

  * If local-hostname is not in meta-data, attempt to look up hostname in
    an alias in /etc/hosts. This will avoid setting domain portion of fqdn
    to 'localdomain' in some cases (LP: #850206).

 -- Scott Moser <smoser@ubuntu.com>  Wed, 14 Sep 2011 15:15:00 -0400

cloud-init (0.6.1-0ubuntu18) oneiric; urgency=low

  * minor documentation improvement.

  [Mike Moulton, Avishai Ish-Shalom]
  * Chef support fixes. support for environment and initial attr (LP: #845208)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 13 Sep 2011 17:02:48 -0400

cloud-init (0.6.1-0ubuntu17) oneiric; urgency=low

  * fix issues with chef (LP: #845161)
  * be more forgiving on metadata for public-keys (LP: #845155)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 09 Sep 2011 14:19:03 -0700

cloud-init (0.6.1-0ubuntu16) oneiric; urgency=low

  * catch up with trunk at revision 439
  * warn on failure to set hostname (LP: #832175)
  * properly wait for all static interfaces to be up before
    cloud-init runs (depends on fix in LP:# 838968).
  * in DataSources NoCloud and OVF, do not set hostname to the
    static value 'ubuntuhost' if local-hostname is not in metadata
    (LP: #838280)
  * improve the way ssh_authorized_keys is updated, so that the
    values given will be used. (LP: #434076, LP: #833499)
  * cloud-init-notnet.conf: minor changes to config

 -- Scott Moser <smoser@ubuntu.com>  Thu, 01 Sep 2011 21:14:09 -0400

cloud-init (0.6.1-0ubuntu15) oneiric; urgency=low

  * catch up with trunk at revision 431
  * add network debug info to console when cloud-init runs (LP: #828186)
  * fix issue where subprocesses (apt-add-repository) where given
    the console and would attempt to prompt user and hang boot (LP: #831505)
  * add awareness of ecdsa to cc_ssh

 -- Scott Moser <smoser@ubuntu.com>  Tue, 23 Aug 2011 00:01:01 -0400

cloud-init (0.6.1-0ubuntu14) oneiric; urgency=low

  * change the handling of user-data (LP: #810044)
   * boothooks will now run more than once as they were intended
   * cloud-config and user-scripts will be updated from user data every boot
  * Add a second type of part-handler that will be called on every boot 
  * fix bad handling of /etc/hosts if manage_etc_hosts was false

 -- Scott Moser <smoser@ubuntu.com>  Mon, 08 Aug 2011 12:46:56 -0500

cloud-init (0.6.1-0ubuntu13) oneiric; urgency=low

  * do not install 92-uec-upgrade-available as a motd hook.  This file was
    installed but did not do anything since updates-check was removed.
  * support multiple staticly configured network devices, as long as
    all of them come up early (LP: #810044)

  [Marc Cluet]
  * add support for passing mcollective keys via cloud-config
  * add support for 'include-once' type.  include-once urls are only
    retrieved once-per-instance rather than on every boot.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 01 Aug 2011 16:45:40 -0400

cloud-init (0.6.1-0ubuntu12) oneiric; urgency=low

  * do not give trace on failure to resize in lxc container (LP: #800856)
  * increase the timeout on url gets for "seedfrom" values (LP: #812646)
  * do not write entries for ephemeral0 on t1.micro (LP: #744019)

  [Adam Gandalman]
  * improve the updating of /etc/hosts with correct fqdn when possible
    (LP: #812539)
   
  [Avishai Ish-Shalom]
  * add chef support (cloudinit/CloudConfig/cc_chef.py) (LP: #798844)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 21 Jul 2011 05:51:03 -0400

cloud-init (0.6.1-0ubuntu11) oneiric; urgency=low

  [Marc Cluet]
  * sanitize hosts file for system's hostname to 127.0.1.1 (LP: #802637)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 30 Jun 2011 14:12:47 -0400

cloud-init (0.6.1-0ubuntu10) oneiric; urgency=low

  * sync with trunk (rev 405)
  * fix cloud-init in ubuntu lxc containers (LP: #800824)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 28 Jun 2011 06:42:45 -0400

cloud-init (0.6.1-0ubuntu9) oneiric; urgency=low

  * sync with trunk (rev 404)
  * make metadata urls configurable, to support eucalyptus in
    STATIC or SYSTEM modes (LP: #761847)
  * support disabling byobu in cloud-config (LP: #797336)
  * guarantee that ssh_config runs before sshd starts (LP: #781101)
  * make prefix for keys added to /root/.ssh/authorized_keys configurable
    and add 'no-port-forwarding,no-agent-forwarding,no-X11-forwarding'
    to the default (LP: #798505)
  * make 'cloud-config ready' command configurable (LP: #785551)
  * make fstab fields used to 'fill in' shorthand mount entries configurable
    (LP: #785542)
  * read sshd_config to properly get path for authorized_keys (LP: #731849)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 17 Jun 2011 12:18:34 -0400

cloud-init (0.6.1-0ubuntu8) natty; urgency=low

  * instead of including /boot/grub, create it in postinst
    of grub-legacy-ec2.

 -- Scott Moser <smoser@ubuntu.com>  Fri, 15 Apr 2011 13:01:17 -0400

cloud-init (0.6.1-0ubuntu7) natty; urgency=low

  * grub-legacy-ec2: add /boot/grub directory so installation does
    not depend on it already existing (LP: #759885)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 13 Apr 2011 11:03:04 -0400

cloud-init (0.6.1-0ubuntu6) natty; urgency=low

  * avoid upgrade prompt for grub-pc when devices are named xvdX (LP: #752361)
  * catchup to trunk cloud-init (rev 395)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 06 Apr 2011 06:46:55 -0400

cloud-init (0.6.1-0ubuntu5) natty; urgency=low

  * fix --purge of grub-legacy-ec2 package (LP: #749444)
  * catchup to trunk cloud-init (rev 394)
  * support user-data formated in dos format by converting to unix for
    user-scripts, boothooks, and upstart jobs (LP: #744965)
  * removal of some debug code, minor documentation fix

 -- Scott Moser <smoser@ubuntu.com>  Mon, 04 Apr 2011 13:20:27 -0400

cloud-init (0.6.1-0ubuntu4) natty; urgency=low

  * catch up to trunk cloud-init (rev 389).
  * fix bug in part-handler code, that broke part handlers (LP: #739694)
  * fix sporadic resizefs failure (LP: #726938)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 21 Mar 2011 22:06:59 -0400

cloud-init (0.6.1-0ubuntu3) natty; urgency=low

  * catch up to trunk cloud-init (rev 385).
  * attempt to install packages on failed apt-get update (LP: #728167)
  * enabled timezone and mcollective cloud-config plugins

 -- Scott Moser <smoser@ubuntu.com>  Fri, 04 Mar 2011 21:17:21 -0500

cloud-init (0.6.1-0ubuntu2) natty; urgency=low

  * grub-legacy-ec2: Use dpkg-query --control-path instead of hard-coding a
    path to debconf templates file, for compatibility with multiarch.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 01 Mar 2011 23:23:55 -0500

cloud-init (0.6.1-0ubuntu1) natty; urgency=low

  * New upstream release.
  * fix for puppet configuration options (LP: #709946) [Ryan Lane]
  * fix pickling of DataSource, which broke seeding.
  * turn resize_rootfs default to True
  * avoid mounts in DataSourceOVF if 'read' on device fails
    'mount /dev/sr0' for an empty virtual cdrom device was taking 18 seconds
  * add 'manual_cache_clean' option to select manual cleaning of
    the /var/lib/cloud/instance/ link, for a data source that might
    not be present on every boot
  * make DataSourceEc2 retries and timeout configurable
  * add 'bootcmd' like 'runcmd' to cloud-config syntax for running things early
  * move from '#opt_include' in config file format to conf_d.
    now local config files should live in /etc/cloud/cloud.cfg.d/
  * move /etc/cloud/distro.cfg to /etc/cloud/cloud.cfg.d/90_dpkg.cfg
  * allow /etc/hosts to be written from hosts.tmpl. which allows
    getting local-hostname into /etc/hosts (LP: #720440)
  * better handle startup if there is no eth0 (LP: #714807)
  * update rather than append in puppet config [Marc Cluet]
  * add cloud-config for mcollective [Marc Cluet]

 -- Scott Moser <smoser@ubuntu.com>  Sat, 19 Feb 2011 01:16:10 -0500

cloud-init (0.6.0-0ubuntu4) natty; urgency=low

  * fix running of user scripts (LP: #711480) (cherry pick 344) 
  * fix 2 lintian warnings

 -- Scott Moser <smoser@ubuntu.com>  Tue, 01 Feb 2011 16:15:30 -0500

cloud-init (0.6.0-0ubuntu3) natty; urgency=low

  * make a better attempt at deciding if DataSourceEc2 should be used
    on first install or upgrade
  * fix behavior if def_log_file is empty in cloud-config (cherry pick 333)
  * improve comment strings in rsyslog config (cherry pick 334)
  * do not package cloud-init query (cherry pick 335)
  * add previous-instance-id and previous-datasource to cloud/data
    and cloud/instance/datasource files (cherry pick 337)
  * allow setting of passwords and enabling/disabling ssh password auth
    via cloud-config (cherry pick 338)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 31 Jan 2011 12:48:39 -0500

cloud-init (0.6.0-0ubuntu2) natty; urgency=low

  * add a debian/README.source file
  * fix bug in fixing permission on /var/log/cloud-init.log (cherry pick)
  * remove dependency on update-motd as updates-check was removed
  * fix failure on cloud-init package purge
  * add configuration of DataSources via debconf. Default to not searching
    Ec2. (LP: #635188)
  * fix naming of pre-processed (now user-data.txt.i) (cherry pick)
  * upgrade existing content in /var/lib/cloud to 0.6.x format

 -- Scott Moser <smoser@ubuntu.com>  Thu, 27 Jan 2011 16:32:44 -0500

cloud-init (0.6.0-0ubuntu1) natty; urgency=low

  * New upstream release.
  * fix permissions on cloud-init.log so syslog can write to it (LP: ##704509)
  * rework of /var/lib/cloud layout
  * remove updates-check (LP: #653220)
  * support resizing root partition on first boot (enabled by default)
  * added cloud-config options for setting hostname, phone_home
  * indicate "all the way up" with message to console and file creation
    in /var/lib/cloud/instance/ (LP: #653271)
  * write ssh keys to console late in boot to ensure they're in console buffer
  * add support for redirecting output of cloud-init, cloud-config, 
    cloud-final via the config file, or user data config file
  * add support for posting data about the instance to a url (phone_home)
  * add minimal OVF transport (iso) support
  * make DataSources that are attempted dynamic and configurable from
    config. config option 'cloud_type' replaced by 'datasource_list'
  * add 'timezone' option to cloud-config (LP: #645458)
  * Added an additional archive format, that can be used for multi-part
    input to cloud-init.  This may be more user friendly then mime-multipart
    (LP: #641504)
  * add support for reading Rightscale style user data (LP: #668400)
  * make the message on 'disable_root' more clear (LP: #672417)
  * do not require public key if private is given in ssh cloud-config 
    (LP: #648905)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 26 Jan 2011 17:28:36 -0500

cloud-init (0.5.15-0ubuntu4) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Dec 2010 15:01:36 +0000

cloud-init (0.5.15-0ubuntu3) maverick; urgency=low

  * do not use ec2 ubuntu archive if instance is VPC (LP: #615545)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 16 Sep 2010 04:28:55 -0400

cloud-init (0.5.15-0ubuntu2) maverick; urgency=low

  * grub-legacy-ec2: boot with console=hvc0 (LP: #606373)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 15 Sep 2010 16:41:48 -0400

cloud-init (0.5.15-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * fix /etc/fstab cloudconfig entries for t1.micro and
    change default fstab values for ephemeral0 to nobootwait (LP: #634102)
  * grub-legacy-ec2: do not write chainload for grub2 to menu.lst
    (LP: #627451)
  * seed grub-pc correctly so update-grub runs on ec2 or uec(LP: #623609)

 -- Scott Moser <smoser@ubuntu.com>  Sun, 12 Sep 2010 15:23:39 -0400

cloud-init (0.5.14-0ubuntu5) maverick; urgency=low

  * add missing imports for cc_puppet (LP: #632744)
  * append to apt_sources files rather than truncating (LP: #627597)
  * get double commented lines into sources.list (LP: #627439)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 08 Sep 2010 10:31:58 -0400

cloud-init (0.5.14-0ubuntu4) maverick; urgency=low

  * add commented out entries for partner, backports, and multiverse
    (LP: #620572)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 26 Aug 2010 16:44:48 -0400

cloud-init (0.5.14-0ubuntu3) maverick; urgency=low

  * fix syntax error in cloudinit/util.py (failed installation)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 17 Aug 2010 22:22:06 -0400

cloud-init (0.5.14-0ubuntu2) maverick; urgency=low

  * fix bug preventing 'seedfrom' from working (LP:617400)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 17 Aug 2010 15:49:13 -0400

cloud-init (0.5.14-0ubuntu1) maverick; urgency=low

  * New upstream release.
   - support for reading metadata and userdata from filesystem
   - support for boot without metadata at all

 -- Scott Moser <smoser@ubuntu.com>  Thu, 12 Aug 2010 14:45:28 -0400

cloud-init (0.5.13-0ubuntu3) maverick; urgency=low

  * grub-legacy-ec2: fix 'apt-get --reinstall' and dpkg-divert (LP: #611812)
  * enable -virtual kernels as "xen" kernels (pv_ops now functional)
  * fix bad syntax in cloud-init-run-module.py

 -- Scott Moser <smoser@ubuntu.com>  Mon, 02 Aug 2010 16:26:48 -0400

cloud-init (0.5.13-0ubuntu2) maverick; urgency=low

  * debian/control: drop ssh-import as a recommends, as this has been
    subsumed by openssh-server

 -- Dustin Kirkland <kirkland@ubuntu.com>  Sat, 24 Jul 2010 21:02:40 +0200

cloud-init (0.5.13-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * invoke dpkg with --force-confold (LP: #607642)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 21 Jul 2010 11:58:53 -0400

cloud-init (0.5.12-0ubuntu8) maverick; urgency=low

  * update-grub-legacy-ec2:
    - add code to stop use of 'uuid' grub syntax
    - change fallback grub device from (hd0,0) to (hd0)
    - change timeout in menu.lst to 0
  * grub-legacy-ec2: add grub-set-default functionality (LP: #605961)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 15 Jul 2010 13:07:01 -0400

cloud-init (0.5.12-0ubuntu7) maverick; urgency=low

  * update-grub-legacy-ec2:                                                     
    - force setting of indomU so output of build process has
      a menu.lst with -ec2 kernels listed.
    - remove 'quite splash' from kernel options
    - make sure grub_root_device is set to hd0 in image build

 -- Scott Moser <smoser@ubuntu.com>  Tue, 13 Jul 2010 16:33:51 -0400

cloud-init (0.5.12-0ubuntu6) maverick; urgency=low

  * fix installation error
  * add quilt-setup rule for package development 

 -- Scott Moser <smoser@ubuntu.com>  Tue, 13 Jul 2010 12:04:21 -0400

cloud-init (0.5.12-0ubuntu5) maverick; urgency=low

  * sync with upstream r226.
  * fix bug where nfs/network mounts could not be specified (LP: #603329)
  * manage hostname setting better (LP: #596993)
  * add legacy-grub-ec2 package.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 08 Jul 2010 22:24:59 -0400

cloud-init (0.5.12-0ubuntu4) maverick; urgency=low

  * handle hostname managing better with ebs root. (LP: #596993)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 07 Jul 2010 11:54:10 -0400

cloud-init (0.5.12-0ubuntu3) maverick; urgency=low

  * fix cloud-boothook input type (LP: #600799)
  * sync with upstream.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 01 Jul 2010 21:19:13 -0400

cloud-init (0.5.12-0ubuntu2) maverick; urgency=low

  * fix cloud config 'apt-update-upgrade' failure due to missing import

 -- Scott Moser <smoser@ubuntu.com>  Mon, 21 Jun 2010 15:08:32 -0400

cloud-init (0.5.12-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * fix cloud-init-run-module to allow 'always' (LP: #568139)
  * add support for setting debconf selections 
  * add cloud-config support for debconf selections (LP: #582667),
    byobu enablement, and ssh-import-lp-id

 -- Scott Moser <smoser@ubuntu.com>  Fri, 18 Jun 2010 15:48:14 -0400

cloud-init (0.5.11-0ubuntu2) maverick; urgency=low

  * handle renaming sem/markers for config items to avoid
    running per-instance again after package upgrade
  * pull 'config-' prefix on sem/ items for cloud-config modules from
    0.5.12

 -- Scott Moser <smoser@ubuntu.com>  Fri, 18 Jun 2010 12:52:10 -0400

cloud-init (0.5.11-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * remove ec2-get-info.  It is replaced by cloudutils ec2metadata
  * use python logging
  * reduce number of upstart jobs
  * add "boothook" user data type
  * Switch to dpkg-source 3.0 (quilt) format

 -- Scott Moser <smoser@ubuntu.com>  Fri, 18 Jun 2010 01:04:58 -0400

cloud-init (0.5.10-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * ec2-get-info: fix for python traceback
  * ephemeral mount will show up in /etc/mtab or df on first boot
    LP: #527825

 -- Scott Moser <smoser@ubuntu.com>  Fri, 26 Mar 2010 00:57:28 -0400

cloud-init (0.5.9-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * rename apt list files. 'ubuntu-bug' now works without update (LP: #513060)
  * replace 'cloudconfig' entries in fstab rather than appending (LP: #524562)
  * fix to fstab writing on ebs-root instances

 -- Scott Moser <smoser@ubuntu.com>  Mon, 08 Mar 2010 13:07:02 -0500

cloud-init (0.5.8-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * cache data from metadata service, LP: #527364
  * fix format of cron entry in cron.d/cloudinit-updates
  * package egg-info file

 -- Scott Moser <smoser@ubuntu.com>  Tue, 02 Mar 2010 15:48:04 -0500

cloud-init (0.5.7-0ubuntu4) lucid; urgency=low

  * fix empty package previous package was emptpy for cloud-init
    due to adding the ec2-init package

 -- Scott Moser <smoser@ubuntu.com>  Fri, 26 Feb 2010 17:06:05 -0500

cloud-init (0.5.7-0ubuntu3) lucid; urgency=low

  * debian/control:
    - recommend ssh-import, such that the ssh-import-lp-id
      utility is available in UEC images for convenient importing of
      ssh public keys stored in Launchpad, LP: #524101
    - build a transitional ec2-init package to handle the rename
      gracefully on upgrades, LP: #527187

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 25 Feb 2010 16:22:10 -0600

cloud-init (0.5.7-0ubuntu2) lucid; urgency=low

  * fix packaging but that put the message-of-the-day hook file
    into a subdir of etc/update-motd.d, remove old file (LP: #524999)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 19 Feb 2010 21:02:10 -0500

cloud-init (0.5.7-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * run cloud-init early in boot process (LP: #504883, #524516)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 19 Feb 2010 18:27:45 -0500

cloud-init (0.5.6-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * supports 'runcmd' in cloud-config
  * enable the update check code (LP: #524258)
  * fix retry_url in boto_utils.py when metadata service not around
    (LP: #523832)
  * run cloud-config-puppet.conf later (LP: #523625)
  [ Scott Moser 0.5.5 ]
  * New upstream release, supports checking for updates

 -- Scott Moser <smoser@ubuntu.com>  Fri, 19 Feb 2010 03:13:22 -0500

cloud-init (0.5.4-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * fix broken user-data scripts
  * merge mathiaz work for cloud-config-puppet
  * fix bug causing apt update to fail
  * rename EC2Init class to CloudInit
  * only set hostname once per instance. (LP: #514492)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 17 Feb 2010 09:40:30 -0500

cloud-init (0.5.3-0ubuntu2) lucid; urgency=low

  * divert ureadahead.conf in postinst (LP: #499520)
  * lintian cleanups

 -- Scott Moser <smoser@ubuntu.com>  Fri, 05 Feb 2010 15:48:21 -0500

cloud-init (0.5.3-0ubuntu1) lucid; urgency=low

  * Rename ec2-init to cloud-init.  New upstream release.
  * set hostname to ip-u.x.y.z if local-hostname provides a ip addr
    (LP: #475354)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 04 Feb 2010 03:00:05 -0500

ec2-init (0.5.2-0ubuntu1) lucid; urgency=low

  * new upstream release

 -- Scott Moser <smoser@ubuntu.com>  Fri, 29 Jan 2010 13:30:52 -0500

ec2-init (0.5.1-0ubuntu1) lucid; urgency=low

  * new upstream release

 -- Scott Moser <smoser@ubuntu.com>  Fri, 22 Jan 2010 16:19:30 -0500

ec2-init (0.5.0-0ubuntu4) lucid; urgency=low

  * add an upstart job to get ssh keys regenerated and written
    to console (LP: #506599, LP: #507070)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 14 Jan 2010 13:10:55 -0500

ec2-init (0.5.0-0ubuntu3) lucid; urgency=low

  * work around difference in uec/ec2 metadata service (LP:506332)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 12 Jan 2010 11:33:11 -0500

ec2-init (0.5.0-0ubuntu2) lucid; urgency=low

  * pull changes from devel branch to get functional on ec2

 -- Scott Moser <smoser@ubuntu.com>  Mon, 11 Jan 2010 12:03:45 -0500

ec2-init (0.5.0-0ubuntu2) lucid; urgency=low

  * new upstream release

 -- Scott Moser <smoser@ubuntu.com>  Thu, 07 Jan 2010 22:00:38 -0500

ec2-init (0.4.999-0ubuntu8) lucid; urgency=low

  * fix mirror selection for us-west-1 (LP: #494185)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 11 Dec 2009 15:12:19 -0500

ec2-init (0.4.999-0ubuntu7) karmic; urgency=low

  * work around differences in eucalyptus ephemeral mounts (LP: #458850)
  * get 'ec2:' prefix on ssh public key fingerprint (LP: #458576)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 26 Oct 2009 16:18:06 -0400

ec2-init (0.4.999-0ubuntu6) karmic; urgency=low

  * make sources.list components for 'karmic-security' the same as
    'karmic' and 'karmic-updates' (main, restricted) (LP: #457866)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 22 Oct 2009 08:55:58 -0400

ec2-init (0.4.999-0ubuntu5) karmic; urgency=low

  * write regenerate_ssh_host_keys output directly to /dev/console
    to ensure that it gets there. (LP: #451881)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 21 Oct 2009 17:23:38 -0400

ec2-init (0.4.999-0ubuntu4) karmic; urgency=low

  * set locale to en_US.UTF-8 if get_location_from_availability_zone 
    doesn't have a match (LP: #407949)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 20 Oct 2009 09:57:49 -0400

ec2-init (0.4.999-0ubuntu3) karmic; urgency=low

  * split running of user-data out of ec2-init into ec2-init-user-data
    run this at S99. (LP : #431255)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 25 Sep 2009 14:17:17 -0400

ec2-init (0.4.999-0ubuntu2) karmic; urgency=low

  * remove rightscale-init from package (see LP: #434181, LP: #434693)
  * fix lintian warning, specify path to GPL-3
  * replace multiple '| logger' in regenerate_ssh_host_keys single one
  * add ec2-is-compat-env, and disable init script by default.  it can be
    enabled by setting 'compat=1' in /etc/ec2-init/is-compat-env

 -- Scott Moser <smoser@ubuntu.com>  Thu, 24 Sep 2009 16:32:42 -0400

ec2-init (0.4.999-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Soren Hansen <soren@ubuntu.com>  Wed, 26 Aug 2009 01:23:52 +0200

ec2-init (0.4.99-0ubuntu3) karmic; urgency=low

  * Also update /etc/default/locale when setting the locale based on
    locality.

 -- Soren Hansen <soren@ubuntu.com>  Tue, 11 Aug 2009 21:49:33 +0200

ec2-init (0.4.99-0ubuntu2) karmic; urgency=low

  * Consolidate build-dependencies a bit.
  * Sync default configuration with code.
  * Create /var/lib/ec2 in package.
  * Make ec2-get-info more robust in testing environments.
  * Handle missing public keys more gracefully.
  * Set proper ownership of user's authorized_keys.

 -- Soren Hansen <soren@ubuntu.com>  Tue, 11 Aug 2009 09:54:16 +0200

ec2-init (0.4.99-0ubuntu1) karmic; urgency=low

  * Massive rewrite. (LP: #407871, #407919, #308530, #407949, #407950, #407892
    and probably many others)
  * First Ubuntu version with the upstream tarball split out.
  * Switch to arch: all. There is no arch specific code here.

 -- Soren Hansen <soren@ubuntu.com>  Tue, 11 Aug 2009 08:33:33 +0200

ec2-init (0.3.4ubuntu9) karmic; urgency=low

  * Really include the action id in the semaphore filename.

 -- Soren Hansen <soren@ubuntu.com>  Sat, 11 Jul 2009 09:50:31 +0200

ec2-init (0.3.4ubuntu8) karmic; urgency=low

  * Add Vcs-Bzr header to debian/control.
  * Include the action id in the semaphore filename.

 -- Soren Hansen <soren@ubuntu.com>  Sat, 11 Jul 2009 02:35:43 +0200

ec2-init (0.3.4ubuntu7) karmic; urgency=low

  * Re-add accidentally removed locale template.
  * Fix indentation in init script.

 -- Soren Hansen <soren@ubuntu.com>  Fri, 10 Jul 2009 23:47:27 +0200

ec2-init (0.3.4ubuntu6) karmic; urgency=low

  * Replace calls to ec2-get-data with calls to ec2-get-info.
  * Make this package arch: all.

 -- Soren Hansen <soren@ubuntu.com>  Fri, 10 Jul 2009 23:16:35 +0200

ec2-init (0.3.4ubuntu5) karmic; urgency=low

  * debian/init: Move instance reboot detection out of python 
    scripts and move them to the init script.
  * debian/ec2-set-defaults.py: 
    - Point to the right location for locate (LP: #387611)
    - Default to UTC (LP: #341060)
  * debian/ec2-set-apt-sources.py: If you cant contact EC2 then use the
    regular archive (LP: #387027)
  * debian/ec2-setup-hostname.py: Use the local hostname in /etc/hosts
    and dont change once rebooted. (LP: #352745)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 08 Jul 2009 09:48:49 -0400

ec2-init (0.3.4ubuntu4) karmic; urgency=low

  * debian/init: Run update-motd regardless whether its a firstboot or not.
  * debian/init: Fix comments (LP: #373057)
  * debian/control: Add update-motd as a depends.
  * ec2-set-defaults.py: Wait for network to become available. (LP: #308530)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 28 May 2009 05:04:31 -0400

ec2-init (0.3.4ubuntu3) karmic; urgency=low

  * debian/init: Move init script to run before ssh and regenerate the ssh
    host kes in the init script rather than /etc/rc.local (LP: #370628)
  * ec2-set-apt-sources.py: 
    - Move sources.list to /var/ec2 so it doesnt get removed after user
    reboots.
  * ec2-set-defaults.py:
    - Move locale to /var/ec2/ so it doesnt get remove after user reboots.
  * ec2-set-hostname.py
    - Create an /etc/hostname as well.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 14 May 2009 11:11:49 -0400

ec2-init (0.3.4ubuntu2) karmic; urgency=low

  * Really change the locale when setting up an instance. (LP: #341066) 
  * Run ec2-run-user-data script last. (LP: #373055)
  * Minor comment tweaks. (LP: #373057)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 13 May 2009 13:41:35 -0400

ec2-init (0.3.4ubuntu1) karmic; urgency=low

  * Add more smarts to ec2 instance bring up. (LP: #371936)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 05 May 2009 08:59:54 -0400

ec2-init (0.3.3ubuntu12) jaunty; urgency=low

  * ec2-run-user-data.py: Fix error. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 07 Apr 2009 08:14:07 -0400

ec2-init (0.3.3ubuntu11) jaunty; urgency=low

  * debian/control:
    - Add python-cheetah and python-apt as a dependency.
  * debian/ec2-config.cfg:
    - Remove distro due to the change in ec2-set-apt-sources.py
  * debian/inistall
    - Install the templates in the right place.
  * ec2-set-apt-sources.py:
    - Use python-apt to update the sources.list.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 01 Apr 2009 13:58:43 -0400

ec2-init (0.3.3ubuntu10) jaunty; urgency=low

  * ec2-set-hostname.py:
    - Use template for /etc/hosts creation.
    - Dont use public_hostname in /etc/hosts. (LP: #352745) 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 01 Apr 2009 08:48:05 -0400

ec2-init (0.3.3ubuntu9) jaunty; urgency=low

  * ec2-set-apt-sources.py:
    - Use a template to generate the sources.list and generate it based on the lsb_release. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 31 Mar 2009 15:15:55 -0400

ec2-init (0.3.3ubuntu8) jaunty; urgency=low

  * ec2-set-apt-sources.py:
    - Add the ubuntu-on-ec2 ppa. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 31 Mar 2009 09:37:13 -0400

ec2-init (0.3.3ubuntu7) jaunty; urgency=low

  * debian/rules: Fix typo. 

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 22 Mar 2009 17:14:16 -0400

ec2-init (0.3.3ubuntu6) jaunty; urgency=low

  * Set the configuration file to jaunty.
  * ec2-fetch-credentials: Fix typo.
  * ec2-set-defaults.py: 
    - Remove timezone change when booting the instance.
    - Redirect output to /dev/null.
  * ec2-set-apt-sources.py:
    - Run apt-get update after the /etc/apt/sources.list and
      redirect the output to /dev/null.
  * rightscale-init: Updated rightscale-init

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Mar 2009 20:52:59 -0400

ec2-init (0.3.3ubuntu5) jaunty; urgency=low

  * debian/ec2-config.cfg:
    - Add disable root option.
  * debian/ec2-init.rightscale-init.init:
    - Add rightscale detection script.
  * ec2-get-info.py:
    - Display the information about an AMI instance.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 16 Mar 2009 08:54:49 -0400

ec2-init (0.3.3ubuntu4) jaunty; urgency=low

  * ec2-fetch-credentials.py:
    - Allow user to choose which user they wish to configure for.
    - Allow user to disable root user if they wish to.
  * ec2-set-defaults.py:
    - Set default timezone to UTC.
    - Set locale depending on zone.
  * debian/init:
    - Removed nash plugin.
    - Add ec2-set-defaults.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 04 Mar 2009 08:33:01 -0500

ec2-init (0.3.3ubuntu3~intrepid4) intrepid; urgency=low

  * set distro to intrepid.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Feb 2009 10:28:06 -0500

ec2-init (0.3.3ubuntu3) jaunty; urgency=low

  * debian/ec2-init: Log results of ec2-run-user-data to syslog.
  * ec2-run-user-data.py :Dont leave files around and log the 
    output to syslog. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Feb 2009 10:24:35 -0500

ec2-init (0.3.3ubuntu2) jaunty; urgency=low

  * ec2-set-apt-sources.py:
    - Use the ec2 mirrors. (LP: #317065, #333897)
    - Update the /etc/apt/sources.list (LP: #333904)
  * ec2-fetch-credentials.py:
    - Better error checking (LP: #325067)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 24 Feb 2009 14:02:37 -0500

ec2-init (0.3.3ubuntu1) jaunty; urgency=low

  * debian/init: Fix init script. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 20 Feb 2009 09:22:54 -0500

ec2-init (0.3.3) jaunty; urgency=low

  * ec2-set-apt-sources.py
    - Determine the zone that the user is in and generate
      a /etc/apt/sources.list.d/ based on that.
  * debian/init:
    - Check to see if there is an /var/run/ec2 and create
      it if it doesnt exist.
    - Start ec2-set-apt-sources at first bootup.
  * debian/rules:
    - Install ec2-set-apt-sources.
  * debian/control:
    - Add python-configobj as a dependency.
  * debian/{install,dirs}
    - Create an /etc/ec2-init to read the configuration file and install it.
  
 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Feb 2009 10:35:56 -0500

ec2-init (0.3.2) jaunty; urgency=low

  * debian/init:
    - Remove already ran detection
    - Log the running of ec2-run-user-data to /var/log/ec2-user-data.log
  * ec2-set-hostname.py:
    - set hostname to the Ec2 local-hostname
    - Update the /etc/hosts to change the ubuntu hostname to the
      public hostname.
  * ec2-fetch-credentials:
    - Copy the ssh keys to the ubuntu user.
    - Setup authorized keys for root to tell the user to login as the 
      ubuntu user when they try to connect.
  * ec2-run-user-data:
    - Create an .already-ran file to check to see if ec2-run-user-data
      already ran.
    - Save the ec2-run-user-data script in /var/ec2.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 04 Feb 2009 09:32:08 -0500

ec2-init (0.3.1) jaunty; urgency=low

  * debian/dir: Install /var/ec2 to save user-data scripts.
  * debian/rules: Start ec2-init after ssh.
  * ec2-run-user-data.py: Save run-user-data script with ami-id.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 26 Jan 2009 10:40:52 -0500

ec2-init (0.3) jaunty; urgency=low

  * ec2-run-user-data: Fix python error when writing a file to the disk. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 15 Jan 2009 11:49:08 -0500

ec2-init (0.2) jaunty; urgency=low

  * debian/init: Run fetch-credentials before anything else.
    (LP: #308533)
  * Add ec2-set-hostname.py: Queries ec2 metdada for public-hostname
    and then sets it (LP: #316201)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 13 Jan 2009 15:20:21 -0500

ec2-init (0.1) intrepid; urgency=low

  * Initial release (LP: #269434).

 -- Soren Hansen <soren@ubuntu.com>  Fri, 12 Sep 2008 15:30:32 +0200

